curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"outcome": {
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"tenant": "string"
}
Get Voice Outcome By Stream
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
GET
/
api
/
v1
/
voice-outcomes
/
by-stream
/
{stream_sid}
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"outcome": {
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"tenant": "string"
}
Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.
Path parameters
string
required
Twilio media stream SID
Response
VoiceOutcomeDetailResponse
boolean
required
VoiceOutcome
required
Show VoiceOutcome
Show VoiceOutcome
string,null
string,null
string
required
string,null
string,null
string (date-time)
required
string,null
any
required
integer,null (int32)
boolean
required
string (uuid)
required
any
required
string (date-time)
required
string,null
string
required
string,null
string
required
string,null
string
required
string
required
string (date-time)
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Canonical voice outcome detail |
401 | Unauthorized |
404 | Voice outcome not found for stream |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/voice-outcomes/by-stream/{stream_sid}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"ok": true,
"outcome": {
"agent_name": null,
"billable_sku": null,
"billing_status": "string",
"call_sid": null,
"call_type": null,
"created_at": "2026-07-24T12:00:00Z",
"customer_phone": null,
"disposition": null,
"duration_seconds": null,
"escalated": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": null,
"occurred_at": "2026-07-24T12:00:00Z",
"org_id": null,
"outcome_source": "string",
"primary_intent": null,
"resolution": "string",
"risk_level": null,
"stream_sid": "string",
"tenant_id": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"tenant": "string"
}